Pular para o conteúdo principal
GET
/
cms
/
v3
/
blogs
/
posts
Obter todos os posts
curl --request GET \
  --url https://api.hubapi.com/cms/v3/blogs/posts \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "abStatus": "automated_loser_variant",
      "abTestId": "<string>",
      "archivedAt": 123,
      "archivedInDashboard": true,
      "attachedStylesheets": [
        {}
      ],
      "authorName": "<string>",
      "blogAuthorId": "<string>",
      "campaign": "<string>",
      "categoryId": 123,
      "contentGroupId": "<string>",
      "contentTypeCategory": "0",
      "created": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "currentState": "AGENT_GENERATED",
      "currentlyPublished": true,
      "domain": "<string>",
      "dynamicPageDataSourceId": "<string>",
      "dynamicPageDataSourceType": 123,
      "dynamicPageHubDbTableId": "<string>",
      "enableDomainStylesheets": true,
      "enableGoogleAmpOutputOverride": true,
      "enableLayoutStylesheets": true,
      "featuredImage": "<string>",
      "featuredImageAltText": "<string>",
      "folderId": "<string>",
      "footerHtml": "<string>",
      "headHtml": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "includeDefaultCustomCss": true,
      "language": "aa",
      "layoutSections": {},
      "linkRelCanonicalUrl": "<string>",
      "mabExperimentId": "<string>",
      "metaDescription": "<string>",
      "name": "<string>",
      "pageExpiryDate": 123,
      "pageExpiryEnabled": true,
      "pageExpiryRedirectId": 123,
      "pageExpiryRedirectUrl": "<string>",
      "password": "<string>",
      "postBody": "<string>",
      "postSummary": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publishDate": "2023-11-07T05:31:56Z",
      "publishImmediately": true,
      "rssBody": "<string>",
      "rssSummary": "<string>",
      "slug": "<string>",
      "state": "<string>",
      "tagIds": [
        123
      ],
      "themeSettingsValues": {},
      "translatedFromId": "<string>",
      "translations": {},
      "updated": "2023-11-07T05:31:56Z",
      "updatedById": "<string>",
      "url": "<string>",
      "useFeaturedImage": true,
      "widgetContainers": {},
      "widgets": {}
    }
  ],
  "total": 123,
  "paging": {}
}

Produtos suportados

Requer um dos seguintes produtos ou superior.
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Grátis
Service HubService Hub -Grátis
Content HubContent Hub -Starter

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de consulta

after
string

O token do cursor de paginação do último recurso lido com sucesso será retornado como a propriedade JSON "paging.next.after" de uma resposta paginada que contém mais resultados.

archived
boolean

Se apenas os resultados que foram arquivados devem ser retornados.

createdAfter
string<date-time>

Retorna apenas posts de blog criados após o horário especificado.

createdAt
string<date-time>

Retorna somente posts de blog criados exatamente no horário especificado.

createdBefore
string<date-time>

Retorna apenas posts de blog criados antes do horário especificado.

limit
integer<int32>

O número máximo de resultados a serem exibidos por página.

property
string

Propriedades específicas a serem retornadas dos posts

sort
string[]

Especifica quais campos usar para classificar os resultados. Os campos válidos são "createdAt" (padrão), "name", "updatedAt", "createdBy", "updatedBy".

updatedAfter
string<date-time>

Retorna somente os post de blog atualizados pela última vez após o horário especificado.

updatedAt
string<date-time>

Retorna somente os posts de blog atualizados pela última vez exatamente no horário especificado.

updatedBefore
string<date-time>

Retorna somente os post de blog atualizados pela última vez antes do horário especificado.

Resposta

successful operation

Response object for collections of blog posts with pagination information.

results
object[]
obrigatório

Coleção de posts de blog.

total
integer<int32>
obrigatório

Número total de posts de blog.

paging
object

Model definition for forward paging.

Last modified on March 24, 2026